summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ryan S. Northrup <northrup@yellowapple.us>2016-12-17 06:44:54 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-12-17 06:44:54 +0700
commitd85768fce1818bf085547f675e085b369e00ffb6 (patch)
tree1c25d3c8db808d3c3c366a733579862910ebe6bf
parent768448bdacb47fec56ac37079ace3cecf21ce8ad (diff)
downloadslackbuilds-d85768fce1818bf085547f675e085b369e00ffb6.tar.gz
slackbuilds-d85768fce1818bf085547f675e085b369e00ffb6.tar.xz
multimedia/sfnt2woff: Added (Font converter).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--multimedia/sfnt2woff/README5
-rw-r--r--multimedia/sfnt2woff/sfnt2woff.SlackBuild90
-rw-r--r--multimedia/sfnt2woff/sfnt2woff.info10
-rw-r--r--multimedia/sfnt2woff/slack-desc19
4 files changed, 124 insertions, 0 deletions
diff --git a/multimedia/sfnt2woff/README b/multimedia/sfnt2woff/README
new file mode 100644
index 0000000000..6c59b99b03
--- /dev/null
+++ b/multimedia/sfnt2woff/README
@@ -0,0 +1,5 @@
+sfnt2woff is a utility to convert TrueType and OpenType fonts to WOFF
+fonts.
+
+woff2sfnt is a utility to convert WOFF fonts to TrueType or OpenType
+fonts.
diff --git a/multimedia/sfnt2woff/sfnt2woff.SlackBuild b/multimedia/sfnt2woff/sfnt2woff.SlackBuild
new file mode 100644
index 0000000000..bec3fdf5ba
--- /dev/null
+++ b/multimedia/sfnt2woff/sfnt2woff.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for sfnt2woff
+
+# Copyright 2016 Ryan S. Northrup <northrup@yellowapple.us>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification,
+# is permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR
+# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
+# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=sfnt2woff
+VERSION=${VERSION:-2009.10.04}
+DOCVERSION=${DOCVERSION:-2009-10-03}
+SRCARCHIVE=woff-code-latest.zip # I blame upstream for this
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip $CWD/$SRCARCHIVE
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Ain't really much to the build process
+CC="cc $SLCKFLAGS" make
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# There's no "make install", but we can do that ourselves.
+mkdir -p $PKG/usr/bin
+cp -a sfnt2woff woff2sfnt $PKG/usr/bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a woff-$DOCVERSION.html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/sfnt2woff/sfnt2woff.info b/multimedia/sfnt2woff/sfnt2woff.info
new file mode 100644
index 0000000000..b025d1250b
--- /dev/null
+++ b/multimedia/sfnt2woff/sfnt2woff.info
@@ -0,0 +1,10 @@
+PRGNAM="sfnt2woff"
+VERSION="2009.10.04"
+HOMEPAGE="https://people-mozilla.org/~jkew/woff/"
+DOWNLOAD="https://people-mozilla.org/~jkew/woff/woff-code-latest.zip"
+MD5SUM="1dcdbc9a7f48086185740c185d822279"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ryan S. Northrup"
+EMAIL="northrup@yellowapple.us" \ No newline at end of file
diff --git a/multimedia/sfnt2woff/slack-desc b/multimedia/sfnt2woff/slack-desc
new file mode 100644
index 0000000000..6dad1e03f2
--- /dev/null
+++ b/multimedia/sfnt2woff/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sfnt2woff: sfnt2woff (Font converter)
+sfnt2woff:
+sfnt2woff: Utility to convert TrueType and OpenType fonts to WOFF.
+sfnt2woff:
+sfnt2woff: A utility to perform the reverse (woff2sfnt) is also included.
+sfnt2woff:
+sfnt2woff:
+sfnt2woff:
+sfnt2woff:
+sfnt2woff:
+sfnt2woff: